/*
 * @DEC_COPYRIGHT@
 */
/*
 * HISTORY
 * $Log:	vm_user.h,v $
 * Revision 4.2.2.2  92/02/26  16:13:01  Charles_Briggs
 * 	including kern_return.h.
 * 
 * Revision 4.2  91/09/19  23:08:27  devbld
 * 	Adding ODE Headers
 * 
 * $EndLog$
 */
/*	
 *	@(#)$RCSfile: vm_user.h,v $ $Revision: 4.2.2.2 $ (DEC) $Date: 92/02/26 16:13:01 $
 */ 
/*
 */
/*
 * (c) Copyright 1990, OPEN SOFTWARE FOUNDATION, INC.
 * ALL RIGHTS RESERVED
 */
/* 
 * Mach Operating System
 * Copyright (c) 1989 Carnegie-Mellon University
 * Copyright (c) 1988 Carnegie-Mellon University
 * Copyright (c) 1987 Carnegie-Mellon University
 * All rights reserved.  The CMU software License Agreement specifies
 * the terms and conditions for use and redistribution.
 */
/*
 * OSF/1 Release 1.0
 */
/*
 *	File:	vm/vm_user.h
 *	Author:	Avadis Tevanian, Jr., Michael Wayne Young
 *
 *	Copyright (C) 1986, Avadis Tevanian, Jr., Michael Wayne Young
 *
 *	Declarations of user-visible virtual address space
 *	management functionality.
 */

#ifndef	_VM_VM_USER_H_
#define _VM_VM_USER_H_

#include <mach/kern_return.h>

extern kern_return_t	vm_allocate();
extern kern_return_t	vm_deallocate();
extern kern_return_t	vm_inherit();
extern kern_return_t	vm_protect();
extern kern_return_t	vm_statistics();
extern kern_return_t	vm_read();
extern kern_return_t	vm_write();
extern kern_return_t	vm_copy();
extern kern_return_t	vm_map();

#endif	/* _VM_VM_USER_H_ */
